base_url = "https://garagehq.deuxfleurs.fr"
title = "Garage"
description = "An open-source distributed storage service you can self-host to fullfill many needs"
default_language = "en"
output_dir = "public"
compile_sass = true
minify_html = false
ignored_content = []
generate_feed = true
feed_filename = "rss.xml"
hard_link_static = false
# taxonomies = [
#     { name = "categories", feed = true, paginate_by = 10 },
#     { name = "tags", feed = true, paginate_by = 10 }
# ]
build_search_index = true

[markdown]
highlight_code = true
extra_syntaxes = []
render_emoji = true
external_links_target_blank = true
external_links_no_follow = true
external_links_no_referrer = true
smart_punctuation = false

[link_checker]
skip_prefixes = [
    "http://[2001:db8::]/",
]
skip_anchor_prefixes = [
    "https://caniuse.com/",
]

[slugify]
paths = "on"
taxonomies = "on"
anchors = "on"

[search]
include_title = true
include_description = false
include_path = false
include_content = true

[extra]
katex.enabled = false
katex.auto_render = false
chart.enabled = false
mermaid.enabled = true
galleria.enabled = false
navbar_items = [
    { code = "en", nav_items = [
        { url = "$BASE_URL/", name = "Overview" },
        { url = "$BASE_URL/documentation/", name = "Docs" },
        { url = "$BASE_URL/blog/", name = "Blog" }
    ] },
]

[extra.favicon]
favicon_16x16 = "/icons/favicon-16x16.png"
favicon_32x32 = "/icons/favicon-32x32.png"
apple_touch_icon = "/icons/apple-touch-icon.png"
safari_pinned_tab = "/icons/safari-pinned-tab.svg"
webmanifest = "/icons/site.webmanifest"

[extra.organization]
name = "Garage"
description = "An open-source distributed storage service you can self-host to fullfill many needs"
logo = "/images/garage-logo.svg"
logo_simple = "/images/garage-logo-simple.svg"
logo_horizontal = "/images/garage-logo-horizontal.svg"

[extra.author]
name = "Garage"
avatar = "/images/garage-logo.svg"

[extra.social]
git = "https://git.deuxfleurs.fr/Deuxfleurs/garage"
email = "contact@garagehq.com"

[extra.analytics]
google = "UA-176984489-2"

[extra.mapbox]
enabled = true
access_token = "pk.eyJ1IjoicmF0YW5zaHJlc2h0aGEiLCJhIjoiY2tla2s2NmM3MDd0ZzJzbXFtc3Y2YmU0NyJ9.0RhUnJPKbxHWw3xGPnnBlA"
